package org.dromara.biz.service.impl;

import lombok.RequiredArgsConstructor;
import org.dromara.biz.mapper.CustomSQLMapper;
import org.dromara.biz.service.ICustomSQLService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 单位每日数据统计Service接口
 *
 * @author YIN
 * @date 2025-05-21
 */
@RequiredArgsConstructor
@Service
public class CustomSQLServiceImpl implements ICustomSQLService {

    private final CustomSQLMapper customSQLMapper;

    @Override
    public Map selectOne(String sql){
        return  customSQLMapper.selectOne(sql);
    }

    @Override
    public List<Map> selectList(String sql){
        return  customSQLMapper.selectList(sql);
    }

    @Override
    public int insertOne(String sql){
        return  customSQLMapper.insertOne(sql);
    }

    @Override
    public int updateOne(String sql){
        return  customSQLMapper.updateOne(sql);
    }

    @Override
    public int deleteOne(String sql){
        return  customSQLMapper.deleteOne(sql);
    }
    
}
